'\" t
.\" Manual page created with latex2man on Fri Aug 14 14:28:38 CEST 2015
.\" NOTE: This file is generated, DO NOT EDIT.
.de Vb
.ft CW
.nf
..
.de Ve
.ft R

.fi
..
.TH "YADIFAD\-CONF" "5" "2015\-10\-16" "YADIFA " "YADIFA "
.SH NAME

.PP
yadifad.conf \- configuration file for \fIyadifad\fP(8)\&.
.PP
.SH SYNOPSIS

.PP
${PREFIX}/etc/yadifad.conf 
.PP
.SH DESCRIPTION

.PP
The configuration of yadifad
has several containers: 
.TP
\fB<main>\fP
 General container 
.TP
<zone> 
Description of the domain name in specific attributes 
.TP
<channels> 
Description of the logger outputs 
.TP
<loggers> 
Description of the loggers 
.TP
<key> 
TSIG keys 
.TP
<acl> 
Access lists. 
.PP
The configuration supports included files.
.br
example: include /etc/yadifa/conf.d/local.conf 
.PP
The configuration files can be nested. 
.PP
The configuration consists of: 
.TP
.B *
Container, which starts with <container name> and ends with </container name> 
.TP
.B *
Variable name 
.TP
.B *
1 or 2 arguments 
.TP
.B *
Arguments can contain 1 or more comma separated values. 
.PP
eg. 
.PP
.Vb
<container>
        # variable  argument
        variable    value1  
        # variable  argument1       argument2
        variable    value1          value2
        # variable  argument1
        variable    value1,value2
</container>
.Ve
.PP
.SH EXAMPLES

.PP
Examples of containers defined for a configuration file. 
.PP
.TP
.B *
Main 
.RS
.TP
1.
Config with includes 
.RS
.PP
.Vb
# start yadifad.conf <main> container
        include /etc/yadifa/conf.d/local.conf
# end yadifad.conf <main> container
.Ve
.PP
.RE
.TP
2.
Main without includes 
.Vb
<main>
        # Detach from the console
        daemon                  off

        # Jail the application
        chroot                  off

        # The path of the log files
        logpath                 "/var/log/yadifa"

        # The location of the pid file
        pidfile                 "/var/run/yadifa/yadifad.pid"

        # The path of the zone files
        datapath                "/var/lib/yadifa"

        # The path of the DNSSEC keys
        keyspath                "/var/lib/yadifa/keys"

        # The path of the transfer and journaling files (AXFR & IXFR)
        xfrpath                 "/var/lib/yadifa/xfr"

        # A string returned by a query of hostname. CH TXT 
        # note: if you leave this out, the real hostname will be given back
        hostname                "server\-yadifad"

        # An ID returned by a query to id.server. CH TXT
        serverid                "yadifad\-01"

        # The version returned by a query to version.yadifa. CH TXT
        version                 "2.1.4"

        # Set the maximum UDP packet size.  
        # note: the packetsize cannot be less than 512 or more than 65535.
        #       Typical choice is 4096.
        edns0\-max\-size          4096

        # The maximum number of parallel TCP queries.
        max\-tcp\-queries         100

        # The user id to use
        uid                     yadifa

        # The group id to use
        gid                     yadifa

        # The DNS port \- any DNS query will use that port unless a specific value is used
        port                    53

        # The interfaces to listen to.
        # listen        0.0.0.0
        listen                  127.0.0.1, 192.0.2.2, 192.0.2.130 port 8053, 2001:db8::2

        # Enable the collection and logging of statistics
        statistics              on

        # Drop queries with erroneous content
        #
        # answer\-formerr\-packets on
        answer\-formerr\-packets  off

        # Maximum number of records in an AXFR packet. Set to 1 for compatibility
        # with very old name servers
        axfr\-maxrecordbypacket  0

        # Global Access Control rules
        #
        # Rules can be defined on network ranges, TSIG signatures, and ACL rules

        # simple queries:
        #
        # allow\-query any
        allow\-query             !192.0.2.251,any

        # dynamic update of a zone
        #
        # allow\-update none
        allow\-update            admins

        # dynamic update of a slave (forwarded to the master)
        #
        # allow\-update\-forwarding   none
        allow\-update\-forwarding admins,key abroad\-admin\-key

        # transfer of a zone (AXFR or IXFR)
        #
        # allow\-transfer any
        allow\-transfer          transferer

        # notify of a change in the master
        #
        # allow\-notify any
        allow\-notify            master,admins

        # If YADIFA has the controller enabled, allow control only for these
        # clients (none by default)
        allow\-control           localhost

</main>
.Ve
.RE
.RS
.PP
.RE
.TP
.B *
Key
.br 
TSIG\-key configuration
.br
.PP
.RS
.TP
1.
Admin\-key key definition (the name is arbitrary) 
.RS
.PP
.Vb
<key>
        name        abroad\-admin\-key
        algorithm   hmac\-md5
        secret      WorthlessKeyForExample==
</key>
.Ve
.PP
.RE
.TP
2.
Master\-slave key definition 
.RS
.PP
.Vb
<key>
        name        master\-slave
        algorithm   hmac\-md5
        secret      MasterAndSlavesTSIGKey==
</key>
.Ve
.RE
.RE
.PP
.RE
.TP
.B *
ACL
.br 
Access Control List definitions
.br
.PP
.RS
.TP
1.
Master\-slave key use 
.RS
.PP
.Vb
<acl>
    transferer  key master\-slave
    admins      192.0.2.0/24, 2001:db8::74
    master      192.0.2.53
    localhost   127.0.0.0/8, ::1
</acl>
.Ve
.PP
.RE
.RE
.PP
.RE
.TP
.B *
Zone 
.PP
.RS
.TP
1.
Master domain zone config 
.RS
.PP
.Vb
<zone>
        # This server is master for that zone (mandatory)
        type        master

        # The domain name (mandatory)
        domain      mydomain.eu

        # The zone file, relative to 'datapath'  (mandatory for a master)
        file        master/mydomain.eu

        # List of servers also notified of a change (beside the ones in the zone file)
        also\-notify 192.0.2.84, 192.0.2.149
</zone>
.Ve
.PP
.RE
.TP
2.
Slave domain zone config 
.RS
.PP
.Vb
<zone>
        # This server is slave for that zone (mandatory)
        type        slave

        # The domain name (mandatory)
        domain      myotherdomain.eu

        # The address of the master (mandatory for a slave, forbidden for a master)
        masters     191.0.2.53 port 4053 key master\-slave

        # The zone file, relative to 'datapath'.
        file        slaves/myotherdomain.eu
</zone>
.Ve
.PP
.RE
.RE
.PP
.RE
.TP
.B *
Channels 
.PP
Logging output\-channel configurations: 
.PP
The "name" is arbitrary and is used in the <loggers>.
.br
The "stream\-name" defines the output type (ie: a file name or syslog).
.br
The "arguments" are specific to the output type (ie: unix file access rights or syslog options and facilities).
.br
.PP
.RS
.RS
.PP
.RE
.TP
1.
Example: YADIFA running as daemon channel definition.
.br 
.RS
.PP
.Vb
<channels>
#   name        stream\-name     arguments
    database    database.log    0644
    dnssec      dnssec.log      0644
    server      server.log      0644
    statistics  statistics.log  0644
    system      system.log      0644
    queries     queries.log     0644
    zone        zone.log        0644
    all         all.log         0644

    syslog      syslog          user
</channels>
.Ve
.PP
.RE
.TP
2.
Example: YADIFA running in debug mode.
.br 
This example shows the "stderr" and "stdout" which can also be used in the first example, but will output to the console. 
.RS
.PP
.Vb
<channels>
#   name        stream\-name     arguments
    syslog      syslog          user

    stderr      STDERR
    stdout      STDOUT
</channels>
.Ve
.PP
.RE
.RE
.PP
.RE
.TP
.B *
Loggers 
.PP
Logging input configurations: 
.PP
The "bundle" name is predifined: database, dnssec, server, statistics, system, zone.
.br
The "debuglevel" uses the same names as syslog or "*" or "all" to filter the input.
.br
.PP
The "channels" are a comma\-separated list of channels. 
.PP
.RS
.TP
1.
Example without syslog 
.RS
.PP
.Vb
<loggers>
#   bundle          debuglevel                          channels
    database        ALL                                 database,all
    dnssec          warning                             dnssec,all
    server          INFO,WARNING,ERR,CRIT,ALERT,EMERG   server,all
    statistics      *                                   statistics
    system          *                                   system,all
    queries         *                                   queries
    zone            *                                   zone,all
</loggers>
.Ve
.PP
.RE
.TP
2.
Example with syslog 
.RS
.PP
.Vb
<loggers>
#   bundle          debuglevel                          channels
    database        ALL                                 database,syslog
    dnssec          warning                             dnssec,syslog
    server          INFO,WARNING,ERR,CRIT,ALERT,EMERG   server,syslog
    stats           *                                   statistics, syslog
    system          *                                   system,syslog
    queries         *                                   queries,syslog
    zone            *                                   zone,syslog
</loggers>
.Ve
.RE
.RE
.PP
The defined loggers are: 
.PP
.RS
.RE
.TP
system 
contains low level messages about the system such as memory allocation, threading, IOs, timers and cryptography, \&.\&.\&. 
.TP
database 
It contains messages about most lower\-level operations in the DNS database. ie: journal, updates, zone loading and sanitization, DNS message query resolution, \&.\&.\&.) 
.TP
dnssec 
contains messages about lower\-level dnssec operations in the DNS database. ie: status, maintenance, verification, \&.\&.\&. 
.TP
server 
contains messages about operations in the DNS server. ie: start up, shutdown, configuration, transfers, various services status (database management, network management, DNS notification management, dynamic update management, resource rate limiting, \&.\&.\&.) 
.TP
zone 
contains messages about the loading of a zone from a source (file parsing, transferred binary zone reading, \&.\&.\&.) 
.TP
stats 
contains the statistics of the server. 
.TP
queries 
contains the queries on the server. 
Queries can be logged with the BIND and/or with the YADIFA format.
.br
.br
\fBBIND format:\fP
.br
.br
client sender\-ip#port: query: fqdn class type +SETDC (listen\-ip)
.br
.br
\fBYADIFA format:\fP
.br
.br
query [ id ] {+SETDC} fqdn class type (sender\-ip#port)
.br 
.br
where: 
.RS
.TP
id 
is the query message id 
.TP
+ 
means the message has the Recursion Desired flag set 
.TP
S 
means the message is signed with a TSIG 
.TP
E 
means the message is EDNS 
.TP
T 
means the message was sent using TCP instead of UDP 
.TP
D 
means the message has the DNSSEC OK flag set 
.TP
C 
means the message has the Checking Disabled flag set 
.TP
fqdn 
is the queried FQDN 
.TP
class 
is the queried class 
.TP
type 
is the queried type 
.TP
sender\-ip 
is the IP of the client that sent the query 
.TP
port 
is the port of the client that sent the query 
.TP
listen\-ip 
is the listen network interface that received the message 
.RE
.RS
.PP
Note that on YADIFA any unset flag is replaced by a \&'\-\&', on BIND only the \&'+\&' follows that rule. 
.RE
.RE
.PP
System operators will mostly be interested in the info and above messages of queries and stats, as well as the error and above messages of the other loggers. 
.PP
.RE
.PP
.SH SEE ALSO

.PP
\fIyadifad\fP(8)
.PP
.SH NOTES

.PP
Since unquoted leading whitespace is generally ignored in the yadifad.conf
you can indent everything to taste. 
.PP
.SH CHANGES

.PP
Please check the file ChangeLog
from the sources. 
.PP
.SH VERSION

.PP
Version: 2.1.4 of 2015-10-16\&.
.PP
.SH MAILING LISTS

.PP
There exists a mailinglist for questions relating to any program in the yadifa package:
.br
.RE
.TP
.B *
\fByadifa\-users@mailinglists.yadifa.eu\fP
.br
for submitting questions/answers. 
.PP
.TP
.B *
\fBhttp://www.yadifa.eu/mailing\-list\-users\fP
.br
for subscription requests. 
.PP
If you would like to stay informed about new versions and official patches send a subscription request to 
via: 
.TP
.B *
\fBhttp://www.yadifa.eu/mailing\-list\-announcements\fP
.PP
(this is a readonly list). 
.PP
.SH LICENSE AND COPYRIGHT

.PP
.TP
Copyright 
(C)2012\-2015, EURid
.br
B\-1831 Diegem, Belgium
.br
\fBinfo@yadifa.eu\fP
.PP
.SH AUTHORS

.PP
Gery Van Emelen 
.br
Email: \fBGery.VanEmelen@EURid.eu\fP
.br
Eric Diaz Fernandez 
.br
Email: \fBEric.DiazFernandez@EURid.eu\fP
.PP
WWW: \fBhttp://www.EURid.eu\fP
.PP
.\" NOTE: This file is generated, DO NOT EDIT.
